## NAME

r.info - Output basic information about a raster map layer.

## KEYWORDS

raster, metadata

## SYNOPSIS

r.info
r.info help
r.info [-rstghudmp] map=name [--verbose] [--quiet]

### Flags:

-r
  Print range only
-s
  Print raster map resolution (NS-res, EW-res) only
-t
  Print raster map type only
-g
  Print map region only
-h
  Print raster history instead of info
-u
  Print raster map data units only
-d
  Print raster map vertical datum only
-m
  Print map title only
-p
  Print raster map timestamp (day.month.year hour:minute:seconds) only
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input raster map

## DESCRIPTION

r.info reports some basic information about a user-specified raster map layer. This map layer must exist in the user's current mapset search path. Information about the map's boundaries, resolution, projection, data type, category number, data base location and mapset, the timestamp and history are put into a table and written to standard output. The types of information listed can also be found in the cats, cellhd, and hist directories under the mapset in which the named map is stored.

The user can save the tabular output to a file by using the UNIX redirection mechanism (>); for example, the user might save a report on the soils map layer in a file called soil.rpt by typing:

    r.info map=soils > soil.rpt

## NOTES

On large maps, the total number of cells in the map may not be displayed with an accurate number. This is only cosmetic.

Some standards (ISO-C90) and compilers do not support the 'long long' type as a 64-bit type. In the case that GRASS was built with such a compiler, an accuracy message may be displayed in the output of r.info after Total Cells:

## EXAMPLES

Below is a full report produced by r.info for the raster map slope in the Spearfish sample data base:

     +----------------------------------------------------------------------------+
     | Layer:    slope                          Date: Mon Nov  5 10:55:57 2001    |
     | Mapset:   PERMANENT                      Login of Creator: neteler         |
     | Location: spearfish60                                                      |
     | DataBase: /home/neteler/grassdaten                                         |
     | Title:    slope in degrees ( slope )                                       |
     | Timestamp: 20 Mar 1984 10:30 -0600 / 21 Mar 2020 10:30 -0600               |
     |----------------------------------------------------------------------------|
     |                                                                            |
     |   Type of Map:  raster               Number of Categories: 255             |
     |   Data Type:    FCELL                                                      |
     |   Rows:         477                                                        |
     |   Columns:      634                                                        |
     |   Total Cells:  302418                                                     |
     |        Projection: UTM (zone 13)                                           |
     |            N:    4928010    S:    4913700   Res:    30                     |
     |            E:     609000    W:     589980   Res:    30                     |
     |   Range of data:    min =  0.000000 max = 52.520164                        |
     |                                                                            |
     |   Data Source:                                                             |
     |    raster elevation file elevation.dem                                     |
     |                                                                            |
     |                                                                            |
     |   Data Description:                                                        |
     |    generated by r.slope.aspect                                             |
     |                                                                            |
     |   Comments:                                                                |
     |    slope map elev = elevation.dem                                          |
     |    zfactor = 1.00 format = degrees                                         |
     |    min_slp_allowed = 0.000000                                              |
     |                                                                            |
     +----------------------------------------------------------------------------+

Alternatively, the output from r.info may be confined to a more terse subset of the available information by passing various flags to the module:

    r.info -rst slope
    min=0.000000
    max=52.520164
    nsres=30
    ewres=30
    datatype=FCELL

    r.info -g slope
    north=4928030
    south=4913690
    east=609000
    west=589980

## SEE ALSO

g.mapsets, r.coin, r.describe, r.report, r.stats, r.support, r.univar, r.what

## AUTHOR

Michael O'Shea, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2008-05-20 20:26:19 +0200 (út, 20 V 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team